#!/bin/bash

# bash-style compiling plugins for Liu & Li's mapmaking routines in GDL
#
# Usage:   LLmapmaking_compile_plugins.sh
#
# This assumes that . ./LLmapmaking_setup_env.sh has already been run
# to evaluate environment variables.

# The linkimage command should be called from within GDL using commands
# in gdl_startup.pro.  See also the file HACKING in the GDL distribution.

OLDPWD=`pwd`
cd ${LLMAP_GDL}/src 
for PLUGIN in swapxendianxinplace mapxgen; do
    g++ -I${GDL_SRC} -I${GDL_SRC}/src -fPIC -DHAVE_CONFIG_H -c ${PLUGIN}.cpp 
    g++ -shared -lm -lc  -o ${GDL_LIB}/${PLUGIN}.so ${PLUGIN}.o
done

cd ${OLDPWD}

# show the result
ls -l ${LLMAP_GDL}/lib/*


